MetacatUI - Task #6647

Story # 6598 (Resolved): Add Provenance to the DataCatalog and Metadata views

Expand the SolrResult model to include provenance index fields

01/15/2015 02:40 PM - Lauren Walker

Status: Resolved Start date: 01/15/2015
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.8.0 Spent time: 0.00 hour
Description

Related ticket on GitHub: https://github.com/DataONEorg/sem-prov-design/issues/66

History

#1 - 01/15/2015 02:45 PM - Lauren Walker

The model will also need to store whether or not that index field points to a source or derivation of that Solr doc so the Ul knows whether to draw that
on the left or right side of the Ul. A presentation-language version of the field (and possibly all fields) will be usual as well went presenting the

provenance in the Ul.

#2 - 01/21/2015 09:10 AM - Lauren Walker

- Status changed from New to Resolved

- translation missing: en.field_remaining_hours set to 0.0

| also added some helper functions to do the following:

e Retrieve all the field names that are provenance-related
e Find out if a SolrResult has a provenance trace

¢ Determine whether a SolrResult field is a provenance field that points to either a source entity or a derivation entity (helpful for drawing the
ProvChartView where sources are drawn on the left and derivations on the right)
